# Interface methods for submodule: ParametricPath
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import PathProxy as _PathProxy


# Interface methods for class: ParametricPath
class ParametricPathProxy(_PathProxy):
	def GetNameOfClass(self):
		""""""
		...

	def EvaluateToIndex(self, input: float) -> Sequence[int]:
		""""""
		...

	def IncrementInput(self, input: float) -> Sequence[int]:
		""""""
		...

	def EvaluateDerivative(self, input: float) -> Sequence[float]:
		""""""
		...

	def SetDefaultInputStepSize(self, _arg: float) -> None:
		""""""
		...

	def GetDefaultInputStepSize(self) -> float:
		""""""
		...

